Loading...
Searching...
No Matches
RDKit::MolStandardize Namespace Reference

## Namespaces

namespace | Operations
namespace | TautomerScoringFunctions
namespace | defaults

## Classes

class | AcidBaseCatalogEntry
class | AcidBaseCatalogParams
struct | ChargeCorrection
class | Reionizer
class | Uncharger
| The Uncharger class for neutralizing ionized acids and bases. More...
class | FragmentRemover
class | LargestFragmentChooser
class | FragmentCatalogEntry
class | FragmentCatalogParams
struct | MetalDisconnectorOptions
class | MetalDisconnector
struct | CleanupParameters
class | Normalizer
| The Normalizer class for applying Normalization transforms. More...
struct | PipelineOptions
struct | PipelineLogEntry
struct | PipelineResult
class | Pipeline
class | Tautomer
class | TautomerEnumeratorResult
| Contains results of tautomer enumeration. More...
class | TautomerEnumeratorCallback
class | TautomerEnumerator
class | TautomerCatalogEntry
class | TautomerTransform
class | TautomerCatalogParams
class | TransformCatalogEntry
class | TransformCatalogParams
class | ValidationMethod
class | CompositeValidation
| The CompositeValidation class provides a simple way to apply a collection of. More...
class | RDKitValidation
class | NoAtomValidation
| MolVS Validations. More...
class | FragmentValidation
| The FragmentValidation class logs if certain fragments are present. More...
class | NeutralValidation
| The NeutralValidation class logs if not an overall neutral system. More...
class | IsotopeValidation
| The IsotopeValidation class logs if molecule contains isotopes. More...
class | MolVSValidation
class | AllowedAtomsValidation
class | DisallowedAtomsValidation
class | DisallowedRadicalValidation
class | FeaturesValidation
class | Is2DValidation
class | Layout2DValidation
class | StereoValidation

## Typedefs

typedef RDCatalog::HierarchCatalog< AcidBaseCatalogEntry, AcidBaseCatalogParams, int > | AcidBaseCatalog
typedef RDCatalog::HierarchCatalog< FragmentCatalogEntry, FragmentCatalogParams, int > | FragmentCatalog
typedef RDCatalog::HierarchCatalog< TransformCatalogEntry, TransformCatalogParams, int > | TransformCatalog
typedef std::pair< std::string, ROMOL_SPTR > | SmilesMolPair
using | PipelineLog = std::vector<PipelineLogEntry>
using | RWMOL_SPTR_PAIR = std::pair<RWMOL_SPTR, RWMOL_SPTR>
typedef RDCatalog::HierarchCatalog< TautomerCatalogEntry, TautomerCatalogParams, int > | TautomerCatalog
typedef std::map< std::string, Tautomer > | SmilesTautomerMap
typedef std::pair< std::string, Tautomer > | SmilesTautomerPair
using | TautomerTransformDefs
using | ValidationErrorInfo = std::string

## Enumerations

enum class | TautomerEnumeratorStatus { Completed = 0 , MaxTautomersReached , MaxTransformsReached , Canceled }

## Functions

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > | readPairs (std::string fileName)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > | readPairs (std::istream &inStream, int nToRead=-1)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > | readPairs (const std::vector< std::tuple< std::string, std::string, std::string > > &data)
Reionizer * | reionizerFromParams (const CleanupParameters &params)
FragmentRemover * | fragmentRemoverFromParams (const CleanupParameters &params, bool leave_last=true, bool skip_if_all_match=false)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ROMol > > | readFuncGroups (std::string fileName)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ROMol > > | readFuncGroups (std::istream &inStream, int nToRead=-1)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ROMol > > | readFuncGroups (const std::vector< std::pair< std::string, std::string > > &data)
RDKIT_MOLSTANDARDIZE_EXPORT void | updateCleanupParamsFromJSON (CleanupParameters &params, const std::string &json)
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | cleanup (const RWMol *mol, const CleanupParameters &params=defaultCleanupParameters)
RWMol * | cleanup (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
RDKIT_MOLSTANDARDIZE_EXPORT void | cleanupInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as cleanup(mol).
RDKIT_MOLSTANDARDIZE_EXPORT void | cleanupInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters)
| Operates on multiple molecules.
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | normalize (const RWMol *mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as Normalizer().normalize(mol).
RDKIT_MOLSTANDARDIZE_EXPORT void | normalizeInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as Normalizer().normalizeInPlace(mol).
RDKIT_MOLSTANDARDIZE_EXPORT void | normalizeInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters)
| Operates on multiple molecules.
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | reionize (const RWMol *mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as Reionizer().reionize(mol).
RDKIT_MOLSTANDARDIZE_EXPORT void | reionizeInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as Reionizer().reionizeInPlace(mol).
RDKIT_MOLSTANDARDIZE_EXPORT void | reionizeInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters)
| Operates on multiple molecules.
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | removeFragments (const RWMol *mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as FragmentRemover().remove(mol).
RDKIT_MOLSTANDARDIZE_EXPORT void | removeFragmentsInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as FragmentRemover().removeInPlace(mol).
RDKIT_MOLSTANDARDIZE_EXPORT void | removeFragmentsInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters)
| Operates on multiple molecules.
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | canonicalTautomer (const RWMol *mol, const CleanupParameters &params=defaultCleanupParameters)
| Works the same as TautomerEnumerator().canonicalize(mol).
RDKIT_MOLSTANDARDIZE_EXPORT void | canonicalTautomerInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters)
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | tautomerParent (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skipStandardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | tautomerParentInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skipStandardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | tautomerParentInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters, bool skipStandardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | fragmentParent (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | fragmentParentInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | fragmentParentInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | stereoParent (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
| calls removeStereochemistry() on the given molecule
RDKIT_MOLSTANDARDIZE_EXPORT void | stereoParentInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | stereoParentInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | isotopeParent (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
| removes all isotopes specifications from the given molecule
RDKIT_MOLSTANDARDIZE_EXPORT void | isotopeParentInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | isotopeParentInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | chargeParent (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | chargeParentInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | chargeParentInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
| operates on multiple molecules
RDKIT_MOLSTANDARDIZE_EXPORT RWMol * | superParent (const RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | superParentInPlace (RWMol &mol, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT void | superParentInPlace (std::vector< RWMol * > &mols, int numThreads=1, const CleanupParameters &params=defaultCleanupParameters, bool skip_standardize=false)
RDKIT_MOLSTANDARDIZE_EXPORT std::string | standardizeSmiles (const std::string &smiles)
RDKIT_MOLSTANDARDIZE_EXPORT void | disconnectOrganometallics (RWMol &mol, RDKit::MolStandardize::MetalDisconnectorOptions mdo={ true, true, false, true})
RDKIT_MOLSTANDARDIZE_EXPORT ROMol * | disconnectOrganometallics (const ROMol &mol, RDKit::MolStandardize::MetalDisconnectorOptions mdo={ true, true, false, true})
| As above, but returns new disconnected molecule.
void | disconnectOrganometallicsInPlace (RWMol &mol, RDKit::MolStandardize::MetalDisconnectorOptions mdo={ true, true, false, true})
| As above, included for API consistency.
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::string > | enumerateTautomerSmiles (const std::string &smiles, const CleanupParameters &params=defaultCleanupParameters)
| TODO.
Normalizer * | normalizerFromParams (const CleanupParameters &params)
TautomerEnumerator * | tautomerEnumeratorFromParams (const CleanupParameters &params)
TautomerEnumerator * | getV1TautomerEnumerator ()
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< Bond::BondType > | stringToBondType (std::string bond_str)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< int > | stringToCharge (std::string charge_str)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< TautomerTransform > | readTautomers (std::string fileName)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< TautomerTransform > | readTautomers (std::istream &inStream, int nToRead=-1)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< TautomerTransform > | readTautomers (const std::vector< std::tuple< std::string, std::string, std::string, std::string > > &data)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ChemicalReaction > > | readTransformations (std::string fileName)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ChemicalReaction > > | readTransformations (std::istream &inStream, int nToRead=-1)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ChemicalReaction > > | readTransformations (const std::vector< std::pair< std::string, std::string > > &data)
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< ValidationErrorInfo > | validateSmiles (const std::string &smiles)
| A convenience function for quickly validating a single SMILES string.

## Variables

RDKIT_MOLSTANDARDIZE_EXPORT const CleanupParameters | defaultCleanupParameters
RDKIT_MOLSTANDARDIZE_EXPORT std::vector< ChargeCorrection > | CHARGE_CORRECTIONS
enum RDKIT_MOLSTANDARDIZE_EXPORT | PipelineStage
enum RDKIT_MOLSTANDARDIZE_EXPORT | PARSING_INPUT
enum RDKIT_MOLSTANDARDIZE_EXPORT | PREPARE_FOR_VALIDATION
enum RDKIT_MOLSTANDARDIZE_EXPORT | VALIDATION
enum RDKIT_MOLSTANDARDIZE_EXPORT | PREPARE_FOR_STANDARDIZATION
enum RDKIT_MOLSTANDARDIZE_EXPORT | STANDARDIZATION
enum RDKIT_MOLSTANDARDIZE_EXPORT | REAPPLY_WEDGING
enum RDKIT_MOLSTANDARDIZE_EXPORT | CLEANUP_2D
enum RDKIT_MOLSTANDARDIZE_EXPORT | MAKE_PARENT
enum RDKIT_MOLSTANDARDIZE_EXPORT | SERIALIZING_OUTPUT
enum RDKIT_MOLSTANDARDIZE_EXPORT | COMPLETED

## Typedef Documentation

## AcidBaseCatalog

typedef RDCatalog::HierarchCatalog<AcidBaseCatalogEntry, AcidBaseCatalogParams, int> RDKit::MolStandardize::AcidBaseCatalog

Definition at line 36 of file Charge.h.

## FragmentCatalog

typedef RDCatalog::HierarchCatalog<FragmentCatalogEntry, FragmentCatalogParams, int> RDKit::MolStandardize::FragmentCatalog

Definition at line 29 of file Fragment.h.

## PipelineLog

using RDKit::MolStandardize::PipelineLog = std::vector<PipelineLogEntry>

Definition at line 141 of file Pipeline.h.

## RWMOL_SPTR_PAIR

using RDKit::MolStandardize::RWMOL_SPTR_PAIR = std::pair<RWMOL_SPTR, RWMOL_SPTR>

Definition at line 154 of file Pipeline.h.

## SmilesMolPair

typedef std::pair<std::string, ROMOL_SPTR> RDKit::MolStandardize::SmilesMolPair

Definition at line 35 of file Normalize.h.

## SmilesTautomerMap

typedef std::map<std::string, Tautomer> RDKit::MolStandardize::SmilesTautomerMap

Definition at line 184 of file MolStandardize/Tautomer.h.

## SmilesTautomerPair

typedef std::pair<std::string, Tautomer> RDKit::MolStandardize::SmilesTautomerPair

Definition at line 185 of file MolStandardize/Tautomer.h.

## TautomerCatalog

typedef RDCatalog::HierarchCatalog<TautomerCatalogEntry, TautomerCatalogParams, int> RDKit::MolStandardize::TautomerCatalog

Definition at line 33 of file MolStandardize/Tautomer.h.

## TautomerTransformDefs

using RDKit::MolStandardize::TautomerTransformDefs

Initial value:
std::vector<std::tuple<std::string, std::string, std::string, std::string>>

Definition at line 24 of file TautomerCatalogParams.h.

## TransformCatalog

typedef RDCatalog::HierarchCatalog<TransformCatalogEntry, TransformCatalogParams, int> RDKit::MolStandardize::TransformCatalog

Definition at line 34 of file Normalize.h.

## ValidationErrorInfo

using RDKit::MolStandardize::ValidationErrorInfo = std::string

The ValidationErrorInfo class is used to store the information returned by a ValidationMethod validate.

Definition at line 38 of file Validate.h.

## Enumeration Type Documentation

## TautomerEnumeratorStatus

enum class RDKit::MolStandardize::TautomerEnumeratorStatus

strong

Enumerator
Completed |
MaxTautomersReached |
MaxTransformsReached |
Canceled |

Definition at line 141 of file MolStandardize/Tautomer.h.

## Function Documentation

## canonicalTautomer()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::canonicalTautomer | ( | const RWMol * | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Works the same as TautomerEnumerator().canonicalize(mol).

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## canonicalTautomerInPlace()

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::canonicalTautomerInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## chargeParent()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::chargeParent | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

Returns the charge parent of a given molecule. The charge parent is the uncharged version of the fragment parent.

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## chargeParentInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::chargeParentInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## chargeParentInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::chargeParentInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

operates on multiple molecules

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## cleanup() [1/2]

RWMol * RDKit::MolStandardize::cleanup | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 102 of file MolStandardize.h.

References cleanup(), and defaultCleanupParameters.

## cleanup() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::cleanup | ( | const RWMol * | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

The cleanup function is equivalent to the molvs.Standardizer().standardize(mol) function. It calls the same steps, namely: RemoveHs, RDKit SanitizeMol, MetalDisconnector, Normalizer, Reionizer, RDKit AssignStereochemistry.

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

Referenced by cleanup().

## cleanupInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::cleanupInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Works the same as cleanup(mol).

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## cleanupInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::cleanupInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Operates on multiple molecules.

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## disconnectOrganometallics() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT ROMol * RDKit::MolStandardize::disconnectOrganometallics | ( | const ROMol & | mol,
|  | RDKit::MolStandardize::MetalDisconnectorOptions | mdo = { true, true, false, true} )

As above, but returns new disconnected molecule.

References RDKIT_MOLSTANDARDIZE_EXPORT.

## disconnectOrganometallics() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::disconnectOrganometallics | ( | RWMol & | mol,
|  | RDKit::MolStandardize::MetalDisconnectorOptions | mdo = { true, true, false, true} )

Do a disconnection of an organometallic complex according to rules preferred by Syngenta. All bonds to metals are broken, including covalent bonds to Group I/II metals (so including Grignards, lithium complexes etc.). The ligands are left in the charge states they came in with. If there are haptic bonds defined by a dummy atom bonded to a metal by a bond that has a _MolFileBondEndPts (which will contain the indices of the atoms involved in the haptic bond) then the dummy atom is removed also. Do the disconnection in place. The options are splitGrignards, splitAromaticC, adjustCharges and removeHapticDummies. Roll on C++20 and designated initializers!

References RDKIT_MOLSTANDARDIZE_EXPORT.

## disconnectOrganometallicsInPlace()

void RDKit::MolStandardize::disconnectOrganometallicsInPlace | ( | RWMol & | mol,
|  | RDKit::MolStandardize::MetalDisconnectorOptions | mdo = { true, true, false, true} )

inline

As above, included for API consistency.

Definition at line 265 of file MolStandardize.h.

## enumerateTautomerSmiles()

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::string > RDKit::MolStandardize::enumerateTautomerSmiles | ( | const std::string & | smiles,
|  | const CleanupParameters & | params = defaultCleanupParameters )

TODO.

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## fragmentParent()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::fragmentParent | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

Returns the fragment parent of a given molecule. The fragment parent is the largest organic covalent unit in the molecule.

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## fragmentParentInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::fragmentParentInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## fragmentParentInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::fragmentParentInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## fragmentRemoverFromParams()

FragmentRemover * RDKit::MolStandardize::fragmentRemoverFromParams | ( | const CleanupParameters & | params,
|  | bool | leave_last = true,
|  | bool | skip_if_all_match = false )

inline

Definition at line 62 of file Fragment.h.

References RDKit::MolStandardize::CleanupParameters::fragmentData, and RDKit::MolStandardize::CleanupParameters::fragmentFile.

## getV1TautomerEnumerator()

TautomerEnumerator * RDKit::MolStandardize::getV1TautomerEnumerator | ( |  | ) |

inline

Definition at line 535 of file MolStandardize/Tautomer.h.

References RDKit::MolStandardize::defaults::defaultTautomerTransformsv1.

## isotopeParent()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::isotopeParent | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

removes all isotopes specifications from the given molecule

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## isotopeParentInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::isotopeParentInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## isotopeParentInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::isotopeParentInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## normalize()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::normalize | ( | const RWMol * | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Works the same as Normalizer().normalize(mol).

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## normalizeInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::normalizeInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Works the same as Normalizer().normalizeInPlace(mol).

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## normalizeInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::normalizeInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Operates on multiple molecules.

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## normalizerFromParams()

Normalizer * RDKit::MolStandardize::normalizerFromParams | ( | const CleanupParameters & | params | ) |

inline

Definition at line 95 of file Normalize.h.

References RDKit::MolStandardize::CleanupParameters::maxRestarts, RDKit::MolStandardize::CleanupParameters::normalizationData, and RDKit::MolStandardize::CleanupParameters::normalizations.

## readFuncGroups() [1/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ROMol > > RDKit::MolStandardize::readFuncGroups | ( | const std::vector< std::pair< std::string, std::string > > & | data | ) |

References RDKIT_MOLSTANDARDIZE_EXPORT.

## readFuncGroups() [2/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ROMol > > RDKit::MolStandardize::readFuncGroups | ( | std::istream & | inStream,
|  | int | nToRead = -1 )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## readFuncGroups() [3/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ROMol > > RDKit::MolStandardize::readFuncGroups | ( | std::string | fileName | ) |

References RDKIT_MOLSTANDARDIZE_EXPORT.

## readPairs() [1/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > RDKit::MolStandardize::readPairs | ( | const std::vector< std::tuple< std::string, std::string, std::string > > & | data | ) |

## readPairs() [2/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > RDKit::MolStandardize::readPairs | ( | std::istream & | inStream,
|  | int | nToRead = -1 )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## readPairs() [3/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > RDKit::MolStandardize::readPairs | ( | std::string | fileName | ) |

References RDKIT_MOLSTANDARDIZE_EXPORT.

## readTautomers() [1/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< TautomerTransform > RDKit::MolStandardize::readTautomers | ( | const std::vector< std::tuple< std::string, std::string, std::string, std::string > > & | data | ) |

References RDKIT_MOLSTANDARDIZE_EXPORT.

## readTautomers() [2/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< TautomerTransform > RDKit::MolStandardize::readTautomers | ( | std::istream & | inStream,
|  | int | nToRead = -1 )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## readTautomers() [3/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< TautomerTransform > RDKit::MolStandardize::readTautomers | ( | std::string | fileName | ) |

References RDKIT_MOLSTANDARDIZE_EXPORT.

## readTransformations() [1/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ChemicalReaction > > RDKit::MolStandardize::readTransformations | ( | const std::vector< std::pair< std::string, std::string > > & | data | ) |

## readTransformations() [2/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ChemicalReaction > > RDKit::MolStandardize::readTransformations | ( | std::istream & | inStream,
|  | int | nToRead = -1 )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## readTransformations() [3/3]

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< std::shared_ptr< ChemicalReaction > > RDKit::MolStandardize::readTransformations | ( | std::string | fileName | ) |

References RDKIT_MOLSTANDARDIZE_EXPORT.

## reionize()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::reionize | ( | const RWMol * | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Works the same as Reionizer().reionize(mol).

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## reionizeInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::reionizeInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Works the same as Reionizer().reionizeInPlace(mol).

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## reionizeInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::reionizeInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Operates on multiple molecules.

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## reionizerFromParams()

Reionizer * RDKit::MolStandardize::reionizerFromParams | ( | const CleanupParameters & | params | ) |

inline

Definition at line 106 of file Charge.h.

References RDKit::MolStandardize::CleanupParameters::acidbaseData, and RDKit::MolStandardize::CleanupParameters::acidbaseFile.

## removeFragments()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::removeFragments | ( | const RWMol * | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Works the same as FragmentRemover().remove(mol).

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## removeFragmentsInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::removeFragmentsInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Works the same as FragmentRemover().removeInPlace(mol).

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## removeFragmentsInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::removeFragmentsInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters )

Operates on multiple molecules.

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## standardizeSmiles()

RDKIT_MOLSTANDARDIZE_EXPORT std::string RDKit::MolStandardize::standardizeSmiles | ( | const std::string & | smiles | ) |

Convenience function for quickly standardizing a single SMILES string. Returns a standardized canonical SMILES string given a SMILES string. This is the equivalent of calling cleanup() on each of the molecules

References RDKIT_MOLSTANDARDIZE_EXPORT.

## stereoParent()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::stereoParent | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

calls removeStereochemistry() on the given molecule

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## stereoParentInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::stereoParentInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## stereoParentInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::stereoParentInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## stringToBondType()

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< Bond::BondType > RDKit::MolStandardize::stringToBondType | ( | std::string | bond_str | ) |

References RDKIT_MOLSTANDARDIZE_EXPORT.

## stringToCharge()

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< int > RDKit::MolStandardize::stringToCharge | ( | std::string | charge_str | ) |

References RDKIT_MOLSTANDARDIZE_EXPORT.

## superParent()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::superParent | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

Returns the super parent. The super parent is the fragment, charge, isotope, stereo, and tautomer parent of the molecule.

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## superParentInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::superParentInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## superParentInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::superParentInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skip_standardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## tautomerEnumeratorFromParams()

TautomerEnumerator * RDKit::MolStandardize::tautomerEnumeratorFromParams | ( | const CleanupParameters & | params | ) |

inline

Definition at line 530 of file MolStandardize/Tautomer.h.

## tautomerParent()

RDKIT_MOLSTANDARDIZE_EXPORT RWMol * RDKit::MolStandardize::tautomerParent | ( | const RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skipStandardize = false )

Returns the tautomer parent of a given molecule. The fragment parent is the standardized canonical tautomer of the molecule

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## tautomerParentInPlace() [1/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::tautomerParentInPlace | ( | RWMol & | mol,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skipStandardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## tautomerParentInPlace() [2/2]

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::tautomerParentInPlace | ( | std::vector< RWMol * > & | mols,
|  | int | numThreads = 1,
|  | const CleanupParameters & | params = defaultCleanupParameters,
|  | bool | skipStandardize = false )

References defaultCleanupParameters, and RDKIT_MOLSTANDARDIZE_EXPORT.

## updateCleanupParamsFromJSON()

RDKIT_MOLSTANDARDIZE_EXPORT void RDKit::MolStandardize::updateCleanupParamsFromJSON | ( | CleanupParameters & | params,
|  | const std::string & | json )

References RDKIT_MOLSTANDARDIZE_EXPORT.

## validateSmiles()

RDKIT_MOLSTANDARDIZE_EXPORT std::vector< ValidationErrorInfo > RDKit::MolStandardize::validateSmiles | ( | const std::string & | smiles | ) |

A convenience function for quickly validating a single SMILES string.

References RDKIT_MOLSTANDARDIZE_EXPORT.

## Variable Documentation

## CHARGE_CORRECTIONS

RDKIT_MOLSTANDARDIZE_EXPORT std::vector<ChargeCorrection> RDKit::MolStandardize::CHARGE_CORRECTIONS

extern

## CLEANUP_2D

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::CLEANUP_2D

Definition at line 130 of file Pipeline.h.

## COMPLETED

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::COMPLETED

Definition at line 133 of file Pipeline.h.

## defaultCleanupParameters

RDKIT_MOLSTANDARDIZE_EXPORT const CleanupParameters RDKit::MolStandardize::defaultCleanupParameters

extern

Definition at line 25 of file Fragment.h.

Referenced by canonicalTautomer(), canonicalTautomerInPlace(), chargeParent(), chargeParentInPlace(), chargeParentInPlace(), cleanup(), cleanup(), cleanupInPlace(), cleanupInPlace(), enumerateTautomerSmiles(), fragmentParent(), fragmentParentInPlace(), fragmentParentInPlace(), isotopeParent(), isotopeParentInPlace(), isotopeParentInPlace(), normalize(), normalizeInPlace(), normalizeInPlace(), reionize(), reionizeInPlace(), reionizeInPlace(), removeFragments(), removeFragmentsInPlace(), removeFragmentsInPlace(), stereoParent(), stereoParentInPlace(), stereoParentInPlace(), superParent(), superParentInPlace(), superParentInPlace(), tautomerParent(), tautomerParentInPlace(), and tautomerParentInPlace().

## MAKE_PARENT

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::MAKE_PARENT

Definition at line 131 of file Pipeline.h.

## PARSING_INPUT

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::PARSING_INPUT

Definition at line 124 of file Pipeline.h.

## PipelineStage

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::PipelineStage

strong

Definition at line 122 of file Pipeline.h.

## PREPARE_FOR_STANDARDIZATION

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::PREPARE_FOR_STANDARDIZATION

Definition at line 127 of file Pipeline.h.

## PREPARE_FOR_VALIDATION

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::PREPARE_FOR_VALIDATION

Definition at line 125 of file Pipeline.h.

## REAPPLY_WEDGING

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::REAPPLY_WEDGING

Definition at line 129 of file Pipeline.h.

## SERIALIZING_OUTPUT

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::SERIALIZING_OUTPUT

Definition at line 132 of file Pipeline.h.

## STANDARDIZATION

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::STANDARDIZATION

Definition at line 128 of file Pipeline.h.

## VALIDATION

enum RDKIT_MOLSTANDARDIZE_EXPORT RDKit::MolStandardize::VALIDATION

Definition at line 126 of file Pipeline.h.